GDB (xrefs)

Public Attributes | List of all members
nds32_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | prev_sp
CORE_ADDR | base
CORE_ADDR | sp_offset
CORE_ADDR | fp_offset
CORE_ADDR | pc
CORE_ADDR | saved_regs [NDS32_NUM_SAVED_REGS]

## Detailed Description

Definition at line 532 of file nds32-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR nds32_frame_cache::base

Definition at line 539 of file nds32-tdep.c.

Referenced by nds32_frame_base_address(), and nds32_frame_cache().

## ◆ fp_offset

CORE_ADDR nds32_frame_cache::fp_offset

Definition at line 547 of file nds32-tdep.c.

Referenced by nds32_alloc_frame_cache(), nds32_analyze_prologue(), and nds32_frame_cache().

## ◆ pc

CORE_ADDR nds32_frame_cache::pc

Definition at line 550 of file nds32-tdep.c.

Referenced by nds32_epilogue_frame_cache(), nds32_epilogue_frame_this_id(), nds32_frame_cache(), and nds32_frame_this_id().

## ◆ prev_sp

CORE_ADDR nds32_frame_cache::prev_sp

Definition at line 536 of file nds32-tdep.c.

Referenced by nds32_epilogue_frame_cache(), nds32_epilogue_frame_prev_register(), nds32_epilogue_frame_this_id(), nds32_frame_cache(), nds32_frame_prev_register(), and nds32_frame_this_id().

## ◆ saved_regs

CORE_ADDR nds32_frame_cache::saved_regs[NDS32_NUM_SAVED_REGS]

Definition at line 553 of file nds32-tdep.c.

Referenced by nds32_alloc_frame_cache(), nds32_epilogue_frame_cache(), nds32_epilogue_frame_prev_register(), nds32_frame_cache(), nds32_frame_prev_register(), nds32_pop_multiple_words(), and nds32_push_multiple_words().

## ◆ sp_offset

CORE_ADDR nds32_frame_cache::sp_offset

Definition at line 546 of file nds32-tdep.c.

Referenced by nds32_analyze_epilogue_insn16(), nds32_analyze_epilogue_insn32(), nds32_analyze_prologue(), nds32_epilogue_frame_cache(), nds32_frame_cache(), nds32_pop_multiple_words(), and nds32_push_multiple_words().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nds32-tdep.c